#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.14.5
 Author:         Cetipabo

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

#include <ButtonConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>
#include <Array.au3>
#include <String.au3>
#Region ### START Koda GUI section ### Form=
$Form1 = GUICreate("Eligibilité XGSPON SFR", 571, 130, 192, 124)
$Label1 = GUICtrlCreateLabel("Votre adresse", 16, 16, 69, 17)
$Input1 = GUICtrlCreateInput("12 boulevard des remparts, 30170 saint hippolyte du fort", 16, 32, 521, 21)
$Button1 = GUICtrlCreateButton("TESTER", 464, 72, 75, 25)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###

$oHTTP = ObjCreate("winhttp.winhttprequest.5.1")


While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit

		Case $Button1
			$adresse = GUICtrlRead($Input1)
			if $adresse="" Then
				msgbox(0,"","indiquez une adresse !")
			Else
				$oHTTP.Open("GET", "https://api.sfr.fr/service-eligibility/api/rest/v1/suggestAddress?size=10&input=" & $adresse, False)
				$oHTTP.Send()
				$oReceived = $oHTTP.ResponseText

				$value = _StringBetween($oReceived,'data":{"','":"')

				$oHTTP.Open("GET", "https://api.sfr.fr/service-eligibility/api/rest/v1/eligibilityByIdRa?idRa=" & $value[0], False)
				$oHTTP.Send()
				$oReceived = $oHTTP.ResponseText

				$xgspon = _StringBetween($oReceived,'isXGSPON","value":"','"}')

				If $xgspon[0]="true" Then
					msgbox(0,"","GOOD NEWS !! Vous êtes éligible au XGSPON de SFR !! ")
				Elseif $xgspon[0]="false" Then
					msgbox(0,"","BAD NEWS !! Vous n'êtes pas éligible au XGSPON de SFR !! ")
				Else
					msgbox(0,"","Résultat inconnu ")
				Endif

			EndIf

	EndSwitch
WEnd


